Create a snapshot policy
POST /storage/snapshot-policies
Introduced In: 9.6
Creates a snapshot policy.
Required properties
-
svm.uuidorsvm.name- Specifies an SVM for policy creation. If not specified, the snapshot policy will be created on the cluster admin SVM. -
name- Name for the snapshot policy. -
copies.schedule- Schedule name at which snapshots are captured on the volume. -
copies.count- Number of snapshots to maintain for this schedule.
Recommended optional properties
-
copies.prefix- Prefix to use when creating snapshots at regular intervals. -
copies.snapmirror_label- Label for SnapMirror operations. -
copies.retention_period- Retention period for snapshot locking enabled volumes.The duration must be specified in ISO format or "infinite". -
copies.snapmirror_label- Label for SnapMirror operations. Must be 1-31 characters.
Default property values
If not specified in POST, the following default property values are assigned:
-
svm.uuidorsvm.name- If not specified, the snapshot policy will be created on the cluster admin SVM. -
enabled- true -
copies.prefix- Value ofschedule.name
Related ONTAP commands
-
snapshot policy create
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
comment |
string |
A comment associated with the snapshot policy. |
copies |
array[copies] |
|
enabled |
boolean |
Is the snapshot policy enabled? |
name |
string |
Name of the snapshot policy. |
scope |
string |
Set to "svm" when the request is on a data SVM, otherwise set to "cluster". |
svm |
SVM, applies only to SVM-scoped objects. |
|
uuid |
string |
Example request
{
"comment": "string",
"copies": [
{
"prefix": "string",
"retention_period": "string",
"schedule": {
"name": "weekly",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"snapmirror_label": "string"
}
],
"enabled": 1,
"name": "default",
"scope": "string",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
Response
Status: 201, Created
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1638407 |
When adding schedule to a snapshot policy, the count for that schedule must be specified. |
1638408 |
When adding schedule to a snapshot policy, the schedule name must be specified. |
1638413 |
Schedule not found. |
1638417 |
Specified policy name is invalid. |
1638451 |
This operation would result in total snapshot count for the policy to exceed maximum supported count. |
1638506 |
Schedule already has a prefix. Cannot associate another prefix to the same schedule. |
1638508 |
Another schedule has the same prefix within this policy. |
1638526 |
This operation is not supported on a node Vserver. |
1638527 |
Policy name already exists. |
1638528 |
This operation is not supported in a mixed-version cluster. |
1638531 |
This operation is not supported because specified policy is owned by the cluster admin. |
2621706 |
The specified SVM UUID and SVM name refer to different SVMs. |
918253 |
Incorrect format for the retention period, duration must be in the ISO-8601 format. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
schedule
| Name | Type | Description |
|---|---|---|
name |
string |
Job schedule name |
uuid |
string |
Job schedule UUID |
copies
| Name | Type | Description |
|---|---|---|
count |
integer |
The number of snapshots to maintain for this schedule. |
prefix |
string |
The prefix to use while creating snapshots at regular intervals. |
retention_period |
string |
The retention period of snapshots for this schedule. The retention period value represents a duration and must be specified in the ISO-8601 duration format. The retention period can be in years, months, days, hours, and minutes. A period specified for years, months, and days is represented in the ISO-8601 format as "P |
schedule |
||
snapmirror_label |
string |
Label for SnapMirror operations |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
snapshot_policy
The snapshot policy object is associated with a read-write volume used to create and delete snapshots at regular intervals.
| Name | Type | Description |
|---|---|---|
comment |
string |
A comment associated with the snapshot policy. |
copies |
array[copies] |
|
enabled |
boolean |
Is the snapshot policy enabled? |
name |
string |
Name of the snapshot policy. |
scope |
string |
Set to "svm" when the request is on a data SVM, otherwise set to "cluster". |
svm |
SVM, applies only to SVM-scoped objects. |
|
uuid |
string |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |